const path = require('path');
const fs = require('fs');

// 获取当前命令行上下文路径
const currentDirectory = process.cwd();

// 获取缓存文件
const cacheJsonPath = path.join(currentDirectory, 'scripts/cache.json');
const cacheJsonContent = fs.readFileSync(cacheJsonPath, 'utf8');

// 恢复配置文件
const indexJsonPath = path.join(currentDirectory, 'src/config/index.json');
fs.writeFileSync(indexJsonPath, cacheJsonContent, 'utf8');

// 删除缓存文件
fs.unlinkSync(cacheJsonPath);
